function DATAinsert = cellMakerWL(IDcentralina,DTcatena,NodeNum,cWL,ListaDate,ARRAYdateWL,...
    Dati_WL,Portata,TdefWL,ErrWeirLink,Therm)

l = ListaDate;
DATAinsert = cell(l,9);
for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateWL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateWL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati_WL(ii,cWL);
    DATAinsert{ii,7} = Portata(ii,cWL);
    if Therm(cWL) == 1
        DATAinsert{ii,8} = TdefWL(ii,cWL);
    end
    DATAinsert{ii,9} = ErrWeirLink(ii,cWL);
end

end
